How to use ‘COM Re-Connect Utility’

About ‘COM Re-Connect Utility’

‘COM Re-Connect Utility’ is a utility which automatically connects Bluetooth COM ports to registered devices. The utility is provided with TOSHIBA Bluetooth Stack for Windows.

In order to use the utility, it is necessarily to start the program file “ComReConnect.exe” from location below.

Program File Name: ComReConnect.exe

File Location: < Program Files>\TOSHIBA\Bluetooth Toshiba Stack

Main window of COM Re-Connect Utility

Main window shows a list of registered COM ports on the PC.

Check box of each registered COM port: Add check mark in this check box to enable auto re-connection for each registered COM item.

Check box of ‘Place icon in the taskbar”: Add check mark in this check box to enable ‘Com Re-Connect Utility’ automatic starting, and stay COM Re-Connection icon in the taskbar.

By checking this box, utility will be started automatically when Toshiba Bluetooth Stack launched from next time. COM Re-Connection icon will stay in the taskbar while the utility is running.

‘Refresh’ button: Press this button to refresh the registered device list in the main window.

‘Close’ button: Press this button to close the main window.

‘Interval time’: ‘Interval time’ is a period of time how long the utility waits until to re-try establishing connection. The Utility provides independent ‘Interval time’ setting for each registered COM item. Select desired COM item from the main window and input number (seconds) to change ‘Interval time’ setting.

‘Link supervision timeout (1-40)’: ‘Link supervision timeout’ is a period of time to check whether a COM is disconnected. The utility detects disconnection if a COM disconnected longer than the set “Link supervision timeout” period. Select a desired COM item from the main window, and input number from 1 to 40 (seconds) to change ‘Link supervision timeout’.

Taskbar icon.

COM Re-Connection icon is in the taskbar while ‘Com Re-Connect Utility’ is running. To enable automatic starting of the utility and display the icon in the taskbar, check ‘Place icon in the taskbar’ option in the main window of ‘Com Re-Connect Utility’.

Double Click on the icon: By double click on the icon, the main window will appear.

How to use ‘Com Re-Connect Utility’

Enable re-connection for each COM item/ Start using the utility:

1) Register new device which has a COM port from Bluetooth Settings.

2) Launch ‘Com Re-Connect Utility’.

Start the program file “ComReConnect.exe” from a location below.

File Location: < Program Files>\TOSHIBA\Bluetooth Toshiba Stack

The main window will appear and it shows a list of registered items in the List View.

3) Select desired COM item from the List View and modify parameters if you need.

4) Enable re-connection by checking a check box in front of the COM item.

The utility will start establishing connection to the desired device automatically.

5) Add a check mark on the check box ‘Place icon in the taskbar’ to enable automatic starting of the utility next time when the Bluetooth stack launched.

View current status:

1) Double click on the taskbar icon ‘COM Re-Connect Utility’, or start the program “ComReConnect.exe” from the location described above.

Disable auto re-connection for each COM item/ Stop using the utility:

1) Remove check mark from check box in front of the desired COM item by clicking it in order to disable auto re-connection for the item.

2) Remove check mark from 'Place icon in the taskbar' option in order to stop automatic starting of the utility.

3) Close the window.